
%global meadversion 2.1.2
%global namedversion 2.1.2.Final-redhat-1
%global meadalpha .Final_redhat_1
%global meadrel .1
%global serial 1
%global namedversionrel redhat-1

%bcond_with javadoc
%bcond_without mead

%define maven_version 2.1.2.Final-redhat-1

Name:           jboss-threads
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        JBoss Threads
License:        LGPLv2+
Group:          Development/Java

%if %with mead
Source100: jboss-threads-2.1.2.Final-redhat-1-scm-sources.zip
Source102: jboss-threads-2.1.2.Final-redhat-1-javadoc.jar
Source103: jboss-threads-2.1.2.Final-redhat-1-project-sources.tar.gz
Source104: jboss-threads-2.1.2.Final-redhat-1.jar
Source105: jboss-threads-2.1.2.Final-redhat-1-sources.jar
Source106: jboss-threads-2.1.2.Final-redhat-1.pom
%endif

URL:            http://www.jboss.org/

BuildRequires:    jpackage-utils
Requires(post):   jpackage-utils
Requires(postun): jpackage-utils
Requires:         jpackage-utils

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%description
Common classes for security projects

%if %with javadoc
%package -n jboss-threads-javadoc
Summary:   Javadoc for %{name}
Group:     Development/Documentation

Requires:  jpackage-utils

%description -n jboss-threads-javadoc
API documentation for %{name}.
%endif

%prep
%setup -q -n jboss-threads -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/%{name}-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/%{name}-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

# poms
%{__mkdir_p} %{buildroot}%{_mavenpomdir}
%{__cp} -p %{_sourcedir}/%{name}-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom

# depmaps
%add_to_maven_depmap org.jboss.threads %{name} %{namedversion} JPP %{name}

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/%{name}-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/%{name}-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/%{name}-%{namedversion} -x META-INF/\*
%{__ln_s} %{name}-%{namedversion} %{buildroot}%{_javadocdir}/%{name}
%endif

%clean
%{__rm} -rf %{buildroot}

%post -n jboss-threads
%update_maven_depmap

%postun -n jboss-threads
%update_maven_depmap

%files -n jboss-threads
%defattr(0644,root,root,0755)
%{_javadir}*/*.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%if %with javadoc
%files javadoc
%{_javadocdir}/%{name}-%{namedversion}
%{_javadocdir}/%{name}
%endif

%changelog
* Tue Nov 11 2014 Vladimir Dosoudil <vdosoudi@redhat.com> - 2.1.2-1.Final_redhat_1.1
- Upgrade to 2.1.2.Final

* Thu Sep 03 2013 Vladimir Dosoudil <dosoudil@redhat.com> - 0:2.1.1-1.Final_redhat_1
- Upgrade to 2.1.1.Final

* Sat Feb 16 2013 Lin Gao <lgao@redhat.com> - 0:2.1.0-1.Final_redhat_1
- Upgrade to 2.1.0.Final

* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.0.0-7.GA_redhat_2
- Rebuild for MD5

* Mon Aug 20 2012 Honza Brazdil <jbrazdil@redhat.com> - 0:2.0.0-6.GA_redhat_2
- Update pom patch for eap 6.0.1

* Sun Aug 12 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.0.0-5.GA_redhat_2.2
- Rebuild unsigned

* Thu Jul 12 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.0.0-5.GA_redhat_1.1
- Rebuild using cache signing

* Thu May 31 2012 Martha Benitez <mbenitez@redhat.com> - 0:2.0.0-5.GA_redhat_1
- Remove javadocs from main package

* Wed Mar 14 2012 Lin Gao <lgao@redhat.com> - 0:2.0.0-4.GA_redhat_1.1
- Use new wrapper
- Change jars install path

* Tue Feb 07 2012 Red Hat Release Engineering <release-engineering@redhat.com> - 0:2.0.0-4.GA_redhat_1
- Rebuild to use new signing key

* Thu Feb 02 2012 Lin Gao <lgao@redhat.com> - 0:2.0.0-3.GA_redhat_1
- clean build
- rebuild for sign with new key

* Wed Aug 24 2011 Lin Gao <lgao@redhat.com> - 0:2.0.0-GA-2
- Upgrade to 2.0.0.GA
- mead build
- wolf build

* Wed Jun 01 2011 Weinan Li <weli@redhat.com> - 0:2.0.0-CR9-SNAPSHOT-1
- Upgrade to 2.0.0-CR9-SNAPSHOT
- Disable javadoc generation because in this version of jboss-threads the javadoc goal is broken

* Fri Nov 10 2010 Martha Benitez <mbenitez@redhat.com> - 0:1.0.0-2.3
- Build with maven 2.2.1
- Change BR maven-release to maven-release-plugin
- Add BR maven-deploy-plugin, maven-site-plugin

* Mon May 17 2010 Martha Benitez <mbenitez@redhat.com> - 0:1.0.0-2.2.1
- rebuilt

* Mon Apr 19 2010 Yiqiao Wang <yiwang@redha.com> 0:1.0.0-2.2
- Rebuild
- Fix depmap entry for dtdparser

* Tue Feb 02 2010 David Walluck <dwalluck@redhat.com> 0:1.0.0-2.1
- fix installed depmap for metadata jar
- aggregate javadocs
- fix repolib

* Thu Nov 12 2009 Yong Yang <yyang@redhat.com> - 0:1.0.0-2
- Add repolib

* Mon Aug 31 2009 Ralph Apel <r.apel@r-apel.de> - 0:1.0.0-1
- first release

